package com.pqs9900.service.terminal;

import com.pqs9900.pojo.terminal.*;

import java.util.List;

public interface TerminalStateService {
    /**
     * @Author chendaofei
     * @Description
     * @Date 10:40 2020/8/31
     **/
    List<TerminalRVO> getTerminalList(String devType, Integer status,String startTime);

    /**
     * @Author chendaofei
     * @Description
     * @Date 10:40 2020/8/31
     **/
    List<TerminalRVO> getTerminalList2(List<String> list);

    /**
     * @Author chendaofei
     * @Description 批量修改终端运行状态
     * @Date 9:23 2020/9/2
     **/
    Integer updateDevFlag(TerminalParamVO terminalParamVO);

    /**
     * @Author chendaofei
     * @Description 新增设备流量套餐关系表
     * @Date 12:26 2020/9/21
     **/
    Integer addDevMealAss(List<String> list,String fmBaseIndex,String fmReamIndex);

    /**
     * @Author chendaofei
     * @Description 新增设备流量策略关系表
     * @Date 12:26 2020/9/21
     **/
    Integer addDevStrategyAss(List<String> list,String fsIndex);

    String getWebIpList();

    FlowDetailRVO getTerminalFlowDetail(String devIndex,String startTime);

    /**
     * @Author chendaofei
     * @Description 流量统计柱状图数据获取
     * @Date 20:39 2020/10/9
     **/
    List<FlowStatisticsRVO> getFlowStatiscsList(String startTime,List<String> list,String mealBi, String mealUse, String mealAll);

    /**
     * @Author chendaofei
     * @Description 统计日流量流量图表数据
     * @Date 21:34 2020/10/12
     **/
    List<FlowStatisticsRVO> getDayFlowList(String devIndex,String startTime);

    /**
     * @Author chendaofei
     * @Description 查看终端性能展示
     * @Date 9:42 2020/10/14
     **/
     String getQuailty(String devIndex);

     String closeSocket(String devIndex);

     String heartSocket(String devIndex);
}
